Package opennlp.tools.parser.lang.es

# Class AncoraSpanishHeadRules.HeadRulesSerializer

java.lang.Object
opennlp.tools.parser.lang.es.AncoraSpanishHeadRules.HeadRulesSerializer

All Implemented Interfaces:
  `ArtifactSerializer<AncoraSpanishHeadRules>`

Enclosing class:
  AncoraSpanishHeadRules

public static class AncoraSpanishHeadRules.HeadRulesSerializer extends Object implements ArtifactSerializer<AncoraSpanishHeadRules>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeadRulesSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AncoraSpanishHeadRules`
  `create(InputStream in)`
  Creates an artifact from the provided `InputStream`.
  `void`
  `serialize(AncoraSpanishHeadRules artifact, OutputStream out)`
  Serializes an artifact to the provided `OutputStream`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeadRulesSerializer

    public HeadRulesSerializer()

- ## Method Details

  - ### create

    public AncoraSpanishHeadRules create(InputStream in) throws IOException
    Description copied from interface: `ArtifactSerializer`
    Creates an artifact from the provided `InputStream`.

    Note: The `InputStream` remains open.

    Specified by:
      `create` in interface `ArtifactSerializer<AncoraSpanishHeadRules>`
    Parameters:
      `in` - A valid, open `InputStream` ready to read from.
    Returns:
      A valid `artifact`.
    Throws:
      `IOException` - Thrown if IO errors occurred during creation.

  - ### serialize

    public void serialize(AncoraSpanishHeadRules artifact, OutputStream out) throws IOException
    Description copied from interface: `ArtifactSerializer`
    Serializes an artifact to the provided `OutputStream`.

    Note: The `OutputStream` remains open.

    Specified by:
      `serialize` in interface `ArtifactSerializer<AncoraSpanishHeadRules>`
    Parameters:
      `artifact` - A valid `artifact`.
      `out` - A valid, open `OutputStream` ready to write to.
    Throws:
      `IOException` - Thrown if IO errors occurred during serialization.